[arch-commits] Commit in gegl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Christian Hesse eworm at gemini.archlinux.org
Mon Sep 6 07:34:12 UTC 2021


    Date: Monday, September 6, 2021 @ 07:34:11
  Author: eworm
Revision: 423466

archrelease: copy trunk to testing-x86_64

Added:
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
    (from rev 423465, gegl/trunk/PKGBUILD)

----------+
 PKGBUILD |   40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 423465, gegl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2021-09-06 07:34:11 UTC (rev 423466)
@@ -0,0 +1,40 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+_tag='0a29f670c2c4052017908ae705f83954c0204287'
+pkgver=0.4.32
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="https://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse' 'poppler-glib')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'gobject-introspection' 'git' 'meson' 'python-gobject')
+optdepends=('ffmpeg: ffmpeg plugin' 'graphviz: for gegl-introspect')
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#tag=$_tag")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_$//;s/_/./g;s/-/+/g'
+}
+
+build() {
+  mkdir -p build
+  cd build
+  arch-meson ../$pkgname \
+    -Dworkshop=true \
+    -Dmrg=disabled \
+    -Dmaxflow=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}



More information about the arch-commits mailing list